# Generated by Django 2.1.7 on 2021-04-05 14:59

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import phonenumber_field.modelfields

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
from django.db.models import Q

def create_groups(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")

    agent_group, p = Group.objects.get_or_create(name="Agente QC")

    for permission in Permission.objects.filter(content_type__app_label='qc').filter(Q(content_type__model='qainspectionmodel') | 
    Q(content_type__model='qamonitoringmodel') | Q(content_type__model='qamonitoringrecordmodel') | Q(content_type__model="qainspectionanswerchildmodel")):

        agent_group.permissions.add(permission)
    
    typify_perm = Permission.objects.get(codename="view_typifymodel", content_type__app_label='tickets')
    agent_group.permissions.add(typify_perm)

    admin_group, p = Group.objects.get_or_create(name="Administrador QC")

    for permission in Permission.objects.filter(content_type__app_label='qc').filter(Q(content_type__model='qaindicatormodel') | Q(content_type__model='qachannelmodel') |
    Q(content_type__model='qainspectiontablesmodel')):

        admin_group.permissions.add(permission)

def delete_groups(apps, scheme_editor):
    Group = apps.get_model('auth', 'Group')
    group_names = ["Agente QC","Administrador QC"]
    
    for name in group_names:
        try:
            Group.objects.filter(name=name).delete()
        except:
            pass

class Migration(migrations.Migration):

    dependencies = [
        ('qc', '0007_auto_20210405_1059'),
    ]

    operations = [
        migrations.RunPython(create_groups, delete_groups)
    ]
